Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs	(revision 54)
@@ -218,12 +218,16 @@
                 strSQL += " AND (A.SOURCECODE, A.COMPANYCODE) IN ((SELECT SUMTBL.SOURCECODE, SUMTBL.COMPANYCODE FROM CONSTRUCTIONLEDGERDETAIL SUMTBL";
                 strSQL += string.Format(" WHERE SUMTBL.CONSTRUCTIONCODE = {0}", ParentCode);
                 strSQL += string.Format(" AND SUMTBL.GROUPCOUNT = {0} AND SUMTBL.COMPANYCODE > 0", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
-                strSQL += " GROUP BY SUMTBL.SOURCECODE, SUMTBL.COMPANYCODE";
+                strSQL += " GROUP BY SUMTBL.SOURCECODE, SUMTBL.COMPANYCODE, SUMTBL.PURCHASEORDERFLG";
                 strSQL += string.Format(" HAVING SUM(SUMTBL.EXECUTIONAMOUNT) >= {0})", CommonDefine.s_PrintOutPrice);
+                
+                int SetConstructionCode = 0;
                 if (SearchCode == 0)
-                    strSQL += string.Format(" UNION (SELECT POR.CONSTRUCTIONCODE, POR.COMPANYCODE FROM PURCHASEORDER POR WHERE POR.CONSTRUCTIONCODE = {0}))", ParentCode);
+                    SetConstructionCode = ParentCode;
                 else
-                    strSQL += string.Format(" UNION (SELECT POR.CONSTRUCTIONCODE, POR.COMPANYCODE FROM PURCHASEORDER POR WHERE POR.CONSTRUCTIONCODE = {0}))", SearchCode);
+                    SetConstructionCode = SearchCode;
+                
+                strSQL += string.Format(" UNION (SELECT POR.CONSTRUCTIONCODE, POR.COMPANYCODE FROM PURCHASEORDER POR WHERE POR.CONSTRUCTIONCODE = {0}))", SetConstructionCode);
 
                 strSQL += " GROUP BY";
                 strSQL += " A.CONSTRUCTIONCODE";
@@ -661,6 +665,7 @@
                 int i = 0;
                 int LineCout = 0;
 
+                string strSubUpdate = string.Empty;
                 foreach (DataGridViewRow CurRow in dgvAllDisplay.Rows)
                 {
                     if (CommonMotions.chkCellBlank(CurRow.Cells[(int)GridColumn.NotCreate].Value)) continue;
@@ -668,10 +673,17 @@
 
                     LineCout = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.LineCount].Value);
 
-                    if (i != 0) strUpdate += ",";
-                    strUpdate += string.Format(" {0}", LineCout);
+                    if (i != 0) strSubUpdate += ",";
+                    strSubUpdate += string.Format(" {0}", LineCout);
                     i++;
                 }
+                if (strSubUpdate.Length == 0)
+                {
+                    MessageBox.Show("データが選択されていません。", "選択エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                strUpdate += strSubUpdate;
                 strUpdate += ")";
                 DetailDB.ExecuteNonQuery(strUpdate);
             }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 54)
@@ -28,17 +28,17 @@
         /// </summary>
         private void InitializeComponent()
         {
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle9 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle10 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle11 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle12 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle13 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle14 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle15 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle16 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle17 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle18 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle19 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle20 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle21 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle22 = new System.Windows.Forms.DataGridViewCellStyle();
             this.label1 = new System.Windows.Forms.Label();
             this.panel1 = new System.Windows.Forms.Panel();
             this.btnInputImage = new System.Windows.Forms.Button();
@@ -73,6 +73,16 @@
             this.btnEnd = new System.Windows.Forms.Button();
             this.tabPage1 = new System.Windows.Forms.TabPage();
             this.panel3 = new System.Windows.Forms.Panel();
+            this.lbl001 = new System.Windows.Forms.Label();
+            this.lbl003 = new System.Windows.Forms.Label();
+            this.label18 = new System.Windows.Forms.Label();
+            this.txtBoxS001 = new System.Windows.Forms.TextBox();
+            this.lbl002 = new System.Windows.Forms.Label();
+            this.label15 = new System.Windows.Forms.Label();
+            this.TabCollections = new System.Windows.Forms.TabControl();
+            this.btnOtherProc = new System.Windows.Forms.Button();
+            this.btnPageDelete = new System.Windows.Forms.Button();
+            this.btnChangeCompany = new System.Windows.Forms.Button();
             this.groupBox3 = new ProcessManagement.Forms.CustomControls.GroupBoxEx();
             this.label40 = new System.Windows.Forms.Label();
             this.txtBoxR013 = new System.Windows.Forms.TextBox();
@@ -120,11 +130,6 @@
             this.label19 = new System.Windows.Forms.Label();
             this.label6 = new System.Windows.Forms.Label();
             this.label22 = new System.Windows.Forms.Label();
-            this.lbl001 = new System.Windows.Forms.Label();
-            this.lbl003 = new System.Windows.Forms.Label();
-            this.label18 = new System.Windows.Forms.Label();
-            this.txtBoxS001 = new System.Windows.Forms.TextBox();
-            this.lbl002 = new System.Windows.Forms.Label();
             this.groupBox4 = new ProcessManagement.Forms.CustomControls.GroupBoxEx();
             this.dgvTerms = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
             this.dataGridViewTextBoxColumn2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -147,11 +152,6 @@
             this.Column8 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column11 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column12 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.label15 = new System.Windows.Forms.Label();
-            this.TabCollections = new System.Windows.Forms.TabControl();
-            this.btnOtherProc = new System.Windows.Forms.Button();
-            this.btnPageDelete = new System.Windows.Forms.Button();
-            this.btnChangeCompany = new System.Windows.Forms.Button();
             this.panel1.SuspendLayout();
             this.panel2.SuspendLayout();
             this.pnlApproval.SuspendLayout();
@@ -158,6 +158,7 @@
             this.pnlApprovalButton.SuspendLayout();
             this.tabPage1.SuspendLayout();
             this.panel3.SuspendLayout();
+            this.TabCollections.SuspendLayout();
             this.groupBox3.SuspendLayout();
             this.groupBox2.SuspendLayout();
             this.groupBox5.SuspendLayout();
@@ -165,7 +166,6 @@
             ((System.ComponentModel.ISupportInitialize)(this.dgvTerms)).BeginInit();
             this.groupBox1.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvAllDisplay)).BeginInit();
-            this.TabCollections.SuspendLayout();
             this.SuspendLayout();
             // 
             // label1
@@ -607,6 +607,125 @@
             this.panel3.TabIndex = 0;
             this.panel3.Scroll += new System.Windows.Forms.ScrollEventHandler(this.BasePanel_Scroll);
             // 
+            // lbl001
+            // 
+            this.lbl001.BackColor = System.Drawing.Color.White;
+            this.lbl001.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lbl001.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lbl001.Location = new System.Drawing.Point(8, 8);
+            this.lbl001.Name = "lbl001";
+            this.lbl001.Size = new System.Drawing.Size(166, 22);
+            this.lbl001.TabIndex = 73;
+            this.lbl001.Text = "2016999901-001";
+            this.lbl001.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+            // 
+            // lbl003
+            // 
+            this.lbl003.BackColor = System.Drawing.Color.White;
+            this.lbl003.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lbl003.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lbl003.Location = new System.Drawing.Point(874, 8);
+            this.lbl003.Name = "lbl003";
+            this.lbl003.Size = new System.Drawing.Size(170, 22);
+            this.lbl003.TabIndex = 72;
+            this.lbl003.Text = "\\999,999,999-";
+            this.lbl003.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
+            // 
+            // label18
+            // 
+            this.label18.BackColor = System.Drawing.Color.SandyBrown;
+            this.label18.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label18.Location = new System.Drawing.Point(696, 7);
+            this.label18.Name = "label18";
+            this.label18.Size = new System.Drawing.Size(170, 25);
+            this.label18.TabIndex = 71;
+            this.label18.Text = "台帳発注金額(税別)";
+            this.label18.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // txtBoxS001
+            // 
+            this.txtBoxS001.Location = new System.Drawing.Point(1180, 8);
+            this.txtBoxS001.Name = "txtBoxS001";
+            this.txtBoxS001.Size = new System.Drawing.Size(114, 23);
+            this.txtBoxS001.TabIndex = 66;
+            // 
+            // lbl002
+            // 
+            this.lbl002.BackColor = System.Drawing.Color.White;
+            this.lbl002.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lbl002.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lbl002.Location = new System.Drawing.Point(182, 8);
+            this.lbl002.Name = "lbl002";
+            this.lbl002.Size = new System.Drawing.Size(500, 22);
+            this.lbl002.TabIndex = 70;
+            this.lbl002.Text = "協力会社名称";
+            this.lbl002.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+            // 
+            // label15
+            // 
+            this.label15.BackColor = System.Drawing.Color.Cyan;
+            this.label15.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label15.Location = new System.Drawing.Point(1052, 7);
+            this.label15.Name = "label15";
+            this.label15.Size = new System.Drawing.Size(120, 25);
+            this.label15.TabIndex = 69;
+            this.label15.Text = "発注書作成日";
+            this.label15.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // TabCollections
+            // 
+            this.TabCollections.Alignment = System.Windows.Forms.TabAlignment.Bottom;
+            this.TabCollections.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.TabCollections.Controls.Add(this.tabPage1);
+            this.TabCollections.Location = new System.Drawing.Point(7, 150);
+            this.TabCollections.Name = "TabCollections";
+            this.TabCollections.SelectedIndex = 0;
+            this.TabCollections.Size = new System.Drawing.Size(1330, 502);
+            this.TabCollections.TabIndex = 56;
+            // 
+            // btnOtherProc
+            // 
+            this.btnOtherProc.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.btnOtherProc.BackColor = System.Drawing.Color.SpringGreen;
+            this.btnOtherProc.Location = new System.Drawing.Point(7, 656);
+            this.btnOtherProc.Name = "btnOtherProc";
+            this.btnOtherProc.Size = new System.Drawing.Size(160, 30);
+            this.btnOtherProc.TabIndex = 95;
+            this.btnOtherProc.TabStop = false;
+            this.btnOtherProc.Text = "他の画面へ";
+            this.btnOtherProc.UseVisualStyleBackColor = false;
+            this.btnOtherProc.Click += new System.EventHandler(this.btnOtherProc_Click);
+            // 
+            // btnPageDelete
+            // 
+            this.btnPageDelete.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnPageDelete.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(255)))));
+            this.btnPageDelete.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnPageDelete.ForeColor = System.Drawing.Color.Black;
+            this.btnPageDelete.Location = new System.Drawing.Point(812, 656);
+            this.btnPageDelete.Name = "btnPageDelete";
+            this.btnPageDelete.Size = new System.Drawing.Size(120, 30);
+            this.btnPageDelete.TabIndex = 96;
+            this.btnPageDelete.Text = "ページ削除";
+            this.btnPageDelete.UseVisualStyleBackColor = false;
+            this.btnPageDelete.Click += new System.EventHandler(this.btnPageDelete_Click);
+            // 
+            // btnChangeCompany
+            // 
+            this.btnChangeCompany.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnChangeCompany.BackColor = System.Drawing.Color.DeepSkyBlue;
+            this.btnChangeCompany.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnChangeCompany.ForeColor = System.Drawing.Color.Black;
+            this.btnChangeCompany.Location = new System.Drawing.Point(686, 655);
+            this.btnChangeCompany.Name = "btnChangeCompany";
+            this.btnChangeCompany.Size = new System.Drawing.Size(120, 30);
+            this.btnChangeCompany.TabIndex = 97;
+            this.btnChangeCompany.Text = "発注先変更";
+            this.btnChangeCompany.UseVisualStyleBackColor = false;
+            this.btnChangeCompany.Click += new System.EventHandler(this.btnChangeCompany_Click);
+            // 
             // groupBox3
             // 
             this.groupBox3.BackColor = System.Drawing.Color.White;
@@ -1168,60 +1287,6 @@
             this.label22.Text = "人";
             this.label22.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
-            // lbl001
-            // 
-            this.lbl001.BackColor = System.Drawing.Color.White;
-            this.lbl001.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.lbl001.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.lbl001.Location = new System.Drawing.Point(8, 8);
-            this.lbl001.Name = "lbl001";
-            this.lbl001.Size = new System.Drawing.Size(166, 22);
-            this.lbl001.TabIndex = 73;
-            this.lbl001.Text = "2016999901-001";
-            this.lbl001.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
-            // 
-            // lbl003
-            // 
-            this.lbl003.BackColor = System.Drawing.Color.White;
-            this.lbl003.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.lbl003.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.lbl003.Location = new System.Drawing.Point(874, 8);
-            this.lbl003.Name = "lbl003";
-            this.lbl003.Size = new System.Drawing.Size(170, 22);
-            this.lbl003.TabIndex = 72;
-            this.lbl003.Text = "\\999,999,999-";
-            this.lbl003.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
-            // 
-            // label18
-            // 
-            this.label18.BackColor = System.Drawing.Color.SandyBrown;
-            this.label18.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.label18.Location = new System.Drawing.Point(706, 7);
-            this.label18.Name = "label18";
-            this.label18.Size = new System.Drawing.Size(160, 25);
-            this.label18.TabIndex = 71;
-            this.label18.Text = "発注金額（税別）";
-            this.label18.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            // 
-            // txtBoxS001
-            // 
-            this.txtBoxS001.Location = new System.Drawing.Point(1180, 8);
-            this.txtBoxS001.Name = "txtBoxS001";
-            this.txtBoxS001.Size = new System.Drawing.Size(114, 23);
-            this.txtBoxS001.TabIndex = 66;
-            // 
-            // lbl002
-            // 
-            this.lbl002.BackColor = System.Drawing.Color.White;
-            this.lbl002.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.lbl002.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.lbl002.Location = new System.Drawing.Point(182, 8);
-            this.lbl002.Name = "lbl002";
-            this.lbl002.Size = new System.Drawing.Size(500, 22);
-            this.lbl002.TabIndex = 70;
-            this.lbl002.Text = "協力会社名称";
-            this.lbl002.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
-            // 
             // groupBox4
             // 
             this.groupBox4.BackColor = System.Drawing.Color.White;
@@ -1242,14 +1307,14 @@
             this.dgvTerms.AllowUserToResizeRows = false;
             this.dgvTerms.BackgroundColor = System.Drawing.Color.FromArgb(((int)(((byte)(224)))), ((int)(((byte)(224)))), ((int)(((byte)(224)))));
             this.dgvTerms.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvTerms.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
+            dataGridViewCellStyle12.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle12.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle12.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle12.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle12.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle12.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle12.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvTerms.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle12;
             this.dgvTerms.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
             this.dgvTerms.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
             this.dataGridViewTextBoxColumn2,
@@ -1267,8 +1332,8 @@
             // 
             // dataGridViewTextBoxColumn2
             // 
-            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.dataGridViewTextBoxColumn2.DefaultCellStyle = dataGridViewCellStyle2;
+            dataGridViewCellStyle13.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.dataGridViewTextBoxColumn2.DefaultCellStyle = dataGridViewCellStyle13;
             this.dataGridViewTextBoxColumn2.Frozen = true;
             this.dataGridViewTextBoxColumn2.HeaderText = "№";
             this.dataGridViewTextBoxColumn2.Name = "dataGridViewTextBoxColumn2";
@@ -1279,8 +1344,8 @@
             // 
             // dataGridViewTextBoxColumn12
             // 
-            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            this.dataGridViewTextBoxColumn12.DefaultCellStyle = dataGridViewCellStyle3;
+            dataGridViewCellStyle14.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            this.dataGridViewTextBoxColumn12.DefaultCellStyle = dataGridViewCellStyle14;
             this.dataGridViewTextBoxColumn12.HeaderText = "条　　　件";
             this.dataGridViewTextBoxColumn12.Name = "dataGridViewTextBoxColumn12";
             this.dataGridViewTextBoxColumn12.Resizable = System.Windows.Forms.DataGridViewTriState.False;
@@ -1379,14 +1444,14 @@
             this.dgvAllDisplay.AllowUserToResizeRows = false;
             this.dgvAllDisplay.BackgroundColor = System.Drawing.Color.FromArgb(((int)(((byte)(224)))), ((int)(((byte)(224)))), ((int)(((byte)(224)))));
             this.dgvAllDisplay.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle4.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle4.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle4.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle4.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle4.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle4.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvAllDisplay.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle4;
+            dataGridViewCellStyle15.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle15.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle15.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle15.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle15.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle15.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle15.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvAllDisplay.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle15;
             this.dgvAllDisplay.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
             this.dgvAllDisplay.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
             this.dataGridViewTextBoxColumn1,
@@ -1412,8 +1477,8 @@
             // 
             // dataGridViewTextBoxColumn1
             // 
-            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.dataGridViewTextBoxColumn1.DefaultCellStyle = dataGridViewCellStyle5;
+            dataGridViewCellStyle16.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.dataGridViewTextBoxColumn1.DefaultCellStyle = dataGridViewCellStyle16;
             this.dataGridViewTextBoxColumn1.Frozen = true;
             this.dataGridViewTextBoxColumn1.HeaderText = "№";
             this.dataGridViewTextBoxColumn1.Name = "dataGridViewTextBoxColumn1";
@@ -1451,8 +1516,8 @@
             // 
             // Column5
             // 
-            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            this.Column5.DefaultCellStyle = dataGridViewCellStyle6;
+            dataGridViewCellStyle17.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            this.Column5.DefaultCellStyle = dataGridViewCellStyle17;
             this.Column5.Frozen = true;
             this.Column5.HeaderText = "工　種・品　名";
             this.Column5.Name = "Column5";
@@ -1462,8 +1527,8 @@
             // 
             // Column6
             // 
-            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            this.Column6.DefaultCellStyle = dataGridViewCellStyle7;
+            dataGridViewCellStyle18.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            this.Column6.DefaultCellStyle = dataGridViewCellStyle18;
             this.Column6.Frozen = true;
             this.Column6.HeaderText = "内　容　内　訳";
             this.Column6.Name = "Column6";
@@ -1473,10 +1538,10 @@
             // 
             // Column7
             // 
-            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle8.Format = "N0";
-            dataGridViewCellStyle8.NullValue = null;
-            this.Column7.DefaultCellStyle = dataGridViewCellStyle8;
+            dataGridViewCellStyle19.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle19.Format = "N0";
+            dataGridViewCellStyle19.NullValue = null;
+            this.Column7.DefaultCellStyle = dataGridViewCellStyle19;
             this.Column7.HeaderText = "数　量";
             this.Column7.Name = "Column7";
             this.Column7.Resizable = System.Windows.Forms.DataGridViewTriState.False;
@@ -1485,8 +1550,8 @@
             // 
             // Column8
             // 
-            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.Column8.DefaultCellStyle = dataGridViewCellStyle9;
+            dataGridViewCellStyle20.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.Column8.DefaultCellStyle = dataGridViewCellStyle20;
             this.Column8.HeaderText = "単　位";
             this.Column8.Name = "Column8";
             this.Column8.Resizable = System.Windows.Forms.DataGridViewTriState.False;
@@ -1495,8 +1560,8 @@
             // 
             // Column11
             // 
-            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.Column11.DefaultCellStyle = dataGridViewCellStyle10;
+            dataGridViewCellStyle21.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.Column11.DefaultCellStyle = dataGridViewCellStyle21;
             this.Column11.HeaderText = "単　価";
             this.Column11.Name = "Column11";
             this.Column11.Resizable = System.Windows.Forms.DataGridViewTriState.False;
@@ -1505,8 +1570,8 @@
             // 
             // Column12
             // 
-            dataGridViewCellStyle11.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.Column12.DefaultCellStyle = dataGridViewCellStyle11;
+            dataGridViewCellStyle22.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.Column12.DefaultCellStyle = dataGridViewCellStyle22;
             this.Column12.HeaderText = "金　額";
             this.Column12.Name = "Column12";
             this.Column12.Resizable = System.Windows.Forms.DataGridViewTriState.False;
